List contract entities on network
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/contractsimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/contracts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contracts": [
{
"admin_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"auto_renew_account": "0.0.2",
"auto_renew_period": 7776000,
"contract_id": "0.0.2",
"created_timestamp": "1586567700.453054000",
"deleted": false,
"evm_address": "0000000000000000000000000000000000001f41",
"expiration_timestamp": "1586567700.453054000",
"file_id": "0.0.2",
"max_automatic_token_associations": 123,
"memo": "contract memo",
"nonce": 1,
"obtainer_id": "0.0.2",
"permanent_removal": true,
"proxy_account_id": "0.0.2",
"timestamp": {
"from": "1586567700.453054000",
"to": "1586567700.453054000"
}
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Contracts
List contract entities on network
Returns a list of all contract entity items on the network.
GET
/
api
/
v1
/
contracts
List contract entities on network
Query Parameters
The ID of the smart contract
Pattern:
^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}|(\d{1,10}\.){0,2}[A-Fa-f0-9]{40}$The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc Was this page helpful?
⌘I